### Transpose

Category

Import and Export

Function

Performs a generalized transpose.

Syntax

    output = Transpose(input, dimensions);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | object to be transposed
`dimensions` | integer list, string list | no transposition | new coordinate list

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | transposed object

Functional Details

This module rearranges the dimensions of a specified input field.

`input` | specifies the field to be transposed.
`dimensions` | specifies the list of transposed coordinates. The n dimensions of the object can be specified by number (from 0 to n - 1). The first three dimensions can also be specified as x, y, and z, respectively.

The output also has n dimensions, and the ith output dimension is the same as `input`'s `dimensions` [i]th input dimension.

This module transposes only the "positions" component, leaving other components unaffected. For example, if the "data" component represents a velocity vector, the components of the vector continue to be specified in the original coordinate system. To rearrange the "data" component, use Compute. (If the output of Transpose is later used as input to Slab, Slice, or Stack, the `dimensions` parameter must be specified as in the original data before they were transposed.)

Components

All input components are propagated to the output.

Example Visual Program

    GeneralImport2.net

See Also

Compute, Slice

[ OpenDX Home at IBM | OpenDX.org ]